package me.hammerle.graphics;

import java.awt.Color;

public abstract class Colorable 
{
    private Color c;
    private boolean filled;
    
    public Colorable(Color c)
    {
        this.c = c; 
        this.filled = false;
    }
    
    public Color getColor()
    {
        return c;
    }
    
    public void setColor(Color c)
    {
        this.c = c;
    }
    
    public boolean isFilled()
    {
        return filled;
    }
    
    public void setFilled(boolean filled)
    {
        this.filled = filled;
    }
}
