package me.hammerle.snuviscript;

import me.hammerle.code.CodeParser;
import me.hammerle.console.Console;
import me.hammerle.code.ScriptControl;
import me.hammerle.code.ScriptUtils;
import me.hammerle.exceptions.FileException;

public class SnuviScript 
{
    public static Console console;
    
    public static void main(String[] args) 
    {
        CodeParser.initCodeParser();
        console = new Console();
        
        try
        {
            ScriptControl.startScriptFromFile("start"); 
        }
        catch(FileException ex)
        {
            ScriptUtils.printDebug("You haven't configured a start file yet.");
        }
        
        /*for(String s : GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames())
        {
            System.out.println(s);
        }*/
    }   
}
